<?php

namespace App\Http\Requests\Design\BomTemplate;

use Illuminate\Foundation\Http\FormRequest;

class CloneRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'target_version_id' => 'nullable|integer|min:1',
            'name' => 'nullable|string|max:100',
            'is_primary' => 'nullable|boolean',
            'notes' => 'nullable|string',
        ];
    }
}
